package w83b.w83bBeans;

import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bComunicacionesBD;
/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bComunicacionesBean extends W83bBaseBean implements W83bBaseBeanBD, Cloneable{
	private static final long	serialVersionUID	= 1L;

	private String numpreaviso="";
	private String anopreaviso="";
	private String territorio="";
	private String fechapreavisodesde="";
	private String fechacomunicacion="";
	private String firmante="";
	private String razon="";
	private String domicilio="";
	private String codigopostal="";
	private String municipio="";
	private String provincia="";
	private String fechaentrada="";
	private String nombrefirmante="";
	private String anyoactadesde="";
	private String numactadesde="";
	private String anyoactahasta="";
	private String numactahasta="";
	private String numelectoresdesde="";
	private String numelectoreshasta="";
	private String empresasprivadas="";
	private String tipoempresa="";
	private String fechafinimpug="";
	private String fechaentradadesde="";
	private String fechaentradahasta="";
	private String fechaimpugdesde="";
	private String fechaimpughasta="";
	private String fechalaudodesde="";
	private String fechalaudohasta="";
	private String opcion="";
	private String nacta="";
	private String anoacta="";
	private String territ="";
	private String descmunicipio="";
	private String descprovincia="";
	private String numactaint="";
	private String orderby="";
	private String descTerritorio="";
	private String codsindicato="";
	private String descsindicato="";
	private String desesindicato="";
	private String sinfechalaudo="";
	private String territLaudoDesde="";
	private String anoLaudoDesde="";
	private String numLaudoDesde="";
	private String territLaudoHasta="";
	private String anoLaudoHasta="";
	private String numLaudoHasta="";
	private String sindicato="";
	private String tipoVoz="";
	private String voz="";
	private String territactadesde="";
	private String territactahasta="";
	private String descfirmante="";
	private String descfirmanteeu="";
	private String escomunicacion="";
	private String numsalida="";
	private String fechaaregistro="";
	private String npre="";
	private String nimpug="";
	private List impugn=new ArrayList();
	private HashMap sind=new HashMap();
	private String sinovoces="";
	private String anoimpug="";
	private String nlaudo="";
	private String anolaudo="";
	private String flaudo="";
	private String arbitro="";
	private String sindicatos="";
	private String voces="";
	private String cif="";
	private String centroSel="";
	private String razonorig="";
	private String dirorig="";
	private String cporig="";
	private String munorig="";
	private String provorig=""; 
	private W83bCentroTrabajoBean centroTrabajo = new W83bCentroTrabajoBean();	
	private String fechavalidaciondesde="";
	private String fechavalidacionhasta="";
	private String numincidencia="";
	private String anoincidencia="";
	private String idTipoDocumento="";
	private String tipoComunicacionesEnviar="";
	private String tipoRemesaEnviar="";
	private String destinatarioComunicLaudo="";
	
	
	public String getTipoRemesaEnviar() {
		return tipoRemesaEnviar;
	}

	public void setTipoRemesaEnviar(String tipoRemesaEnviar) {
		this.tipoRemesaEnviar = tipoRemesaEnviar;
	}

	public String getTipoComunicacionesEnviar() {
		return tipoComunicacionesEnviar;
	}

	public void setTipoComunicacionesEnviar(String tipoComunicacionesEnviar) {
		this.tipoComunicacionesEnviar = tipoComunicacionesEnviar;
	}

	public String getIdTipoDocumento() {
		return idTipoDocumento;
	}

	public void setIdTipoDocumento(String idTipoDocumento) {
		this.idTipoDocumento = idTipoDocumento;
	}

	public String getTipoVoz() {
		return tipoVoz;
	}

	public void setTipoVoz(String tipoVoz) {
		this.tipoVoz = tipoVoz;
	}

	public String getSindicato() {
		return sindicato;
	}

	public void setSindicato(String sindicato) {
		this.sindicato = sindicato;
	}

	public String getDescTerritorio() {
		return descTerritorio;
	}

	public void setDescTerritorio(String descTerritorio) {
		this.descTerritorio = descTerritorio;
	}

	public String getNumactaint() {
		return numactaint;
	}

	public void setNumactaint(String numactaint) {
		this.numactaint = numactaint;
	}

	public String getNacta() {
		return nacta;
	}

	public void setNacta(String nacta) {
		this.nacta = nacta;
	}

	public String getAnoacta() {
		return anoacta;
	}

	public void setAnoacta(String anoacta) {
		this.anoacta = anoacta;
	}

	public String getTerrit() {
		return territ;
	}

	public void setTerrit(String territ) {
		this.territ = territ;
	}

	public String getOpcion() {
		return opcion;
	}

	public void setOpcion(String opcion) {
		this.opcion = opcion;
	}

	public String getFechalaudodesde() {
		return fechalaudodesde;
	}

	public void setFechalaudodesde(String fechalaudodesde) {
		this.fechalaudodesde = fechalaudodesde;
	}

	public String getFechalaudohasta() {
		return fechalaudohasta;
	}

	public void setFechalaudohasta(String fechalaudohasta) {
		this.fechalaudohasta = fechalaudohasta;
	}

	public String getFechaimpugdesde() {
		return fechaimpugdesde;
	}

	public void setFechaimpugdesde(String fechaimpugdesde) {
		this.fechaimpugdesde = fechaimpugdesde;
	}

	public String getFechaimpughasta() {
		return fechaimpughasta;
	}

	public void setFechaimpughasta(String fechaimpughasta) {
		this.fechaimpughasta = fechaimpughasta;
	}

	public String getFechaentradadesde() {
		return fechaentradadesde;
	}

	public void setFechaentradadesde(String fechaentradadesde) {
		this.fechaentradadesde = fechaentradadesde;
	}

	public String getFechaentradahasta() {
		return fechaentradahasta;
	}

	public void setFechaentradahasta(String fechaentradahasta) {
		this.fechaentradahasta = fechaentradahasta;
	}

	public String getFechafinimpug() {
		return fechafinimpug;
	}

	public void setFechafinimpug(String fechafinimpug) {
		this.fechafinimpug = fechafinimpug;
	}

	public String getTipoempresa() {
		return tipoempresa;
	}

	public void setTipoempresa(String tipoempresa) {
		this.tipoempresa = tipoempresa;
	}

	public String getEmpresasprivadas() {
		return empresasprivadas;
	}

	public void setEmpresasprivadas(String empresasprivadas) {
		this.empresasprivadas = empresasprivadas;
	}

	public String getNumpreaviso() {
		return numpreaviso;
	}

	public void setNumpreaviso(String numpreaviso) {
		this.numpreaviso = numpreaviso;
	}

	public String getAnopreaviso() {
		return anopreaviso;
	}

	public void setAnopreaviso(String anopreaviso) {
		this.anopreaviso = anopreaviso;
	}

	public String getTerritorio() {
		return territorio;
	}

	public void setTerritorio(String territorio) {
		this.territorio = territorio;
	}

	public String getFechapreavisodesde() {
		return fechapreavisodesde;
	}

	public void setFechapreavisodesde(String fechapreavisodesde) {
		this.fechapreavisodesde = fechapreavisodesde;
	}

	public String getFechacomunicacion() {
		return fechacomunicacion;
	}

	public void setFechacomunicacion(String fechacomunicacion) {
		this.fechacomunicacion = fechacomunicacion;
	}

	public String getFirmante() {
		return firmante;
	}

	public void setFirmante(String firmante) {
		this.firmante = firmante;
	}

	public String getRazon() {
		return razon;
	}

	public void setRazon(String razon) {
		this.razon = razon;
	}

	public String getDomicilio() {
		return domicilio;
	}

	public void setDomicilio(String domicilio) {
		this.domicilio = domicilio;
	}

	public String getCodigopostal() {
		return codigopostal;
	}

	public void setCodigopostal(String codigopostal) {
		this.codigopostal = codigopostal;
	}

	public String getMunicipio() {
		return municipio;
	}

	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}

	public String getProvincia() {
		return provincia;
	}

	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	public String getFechaentrada() {
		return fechaentrada;
	}

	public void setFechaentrada(String fechaentrada) {
		this.fechaentrada = fechaentrada;
	}

	public String getNombrefirmante() {
		return nombrefirmante;
	}

	public void setNombrefirmante(String nombrefirmante) {
		this.nombrefirmante = nombrefirmante;
	}

	public String getAnyoactadesde() {
		return anyoactadesde;
	}

	public void setAnyoactadesde(String anyoactadesde) {
		this.anyoactadesde = anyoactadesde;
	}

	public String getNumactadesde() {
		return numactadesde;
	}

	public void setNumactadesde(String numactadesde) {
		this.numactadesde = numactadesde;
	}

	public String getAnyoactahasta() {
		return anyoactahasta;
	}

	public void setAnyoactahasta(String anyoactahasta) {
		this.anyoactahasta = anyoactahasta;
	}

	public String getNumactahasta() {
		return numactahasta;
	}

	public void setNumactahasta(String numactahasta) {
		this.numactahasta = numactahasta;
	}

	public String getNumelectoresdesde() {
		return numelectoresdesde;
	}

	public void setNumelectoresdesde(String numelectoresdesde) {
		this.numelectoresdesde = numelectoresdesde;
	}

	public String getNumelectoreshasta() {
		return numelectoreshasta;
	}

	public void setNumelectoreshasta(String numelectoreshasta) {
		this.numelectoreshasta = numelectoreshasta;
	}

	public String getDescmunicipio() {
		return descmunicipio;
	}

	public void setDescmunicipio(String descmunicipio) {
		this.descmunicipio = descmunicipio;
	}

	public String getDescprovincia() {
		return descprovincia;
	}

	public void setDescprovincia(String descprovincia) {
		this.descprovincia = descprovincia;
	}
	
	public String getOrderby() {
		return orderby;
	}

	public void setOrderby(String orderby) {
		this.orderby = orderby;
	}

	public String getCodsindicato() {
		return codsindicato;
	}

	public void setCodsindicato(String codsindicato) {
		this.codsindicato = codsindicato;
	}

	public String getDescsindicato() {
		return descsindicato;
	}

	public void setDescsindicato(String descsindicato) {
		this.descsindicato = descsindicato;
	}

	public String getDesesindicato() {
		return desesindicato;
	}

	public void setDesesindicato(String desesindicato) {
		this.desesindicato = desesindicato;
	}

	public String getSinfechalaudo() {
		return sinfechalaudo;
	}

	public void setSinfechalaudo(String sinfechalaudo) {
		this.sinfechalaudo = sinfechalaudo;
	}

	public String getTerritLaudoDesde() {
		return territLaudoDesde;
	}

	public void setTerritLaudoDesde(String territLaudoDesde) {
		this.territLaudoDesde = territLaudoDesde;
	}

	public String getAnoLaudoDesde() {
		return anoLaudoDesde;
	}

	public void setAnoLaudoDesde(String anoLaudoDesde) {
		this.anoLaudoDesde = anoLaudoDesde;
	}

	public String getNumLaudoDesde() {
		return numLaudoDesde;
	}

	public void setNumLaudoDesde(String numLaudoDesde) {
		this.numLaudoDesde = numLaudoDesde;
	}

	public String getTerritLaudoHasta() {
		return territLaudoHasta;
	}

	public void setTerritLaudoHasta(String territLaudoHasta) {
		this.territLaudoHasta = territLaudoHasta;
	}

	public String getAnoLaudoHasta() {
		return anoLaudoHasta;
	}

	public void setAnoLaudoHasta(String anoLaudoHasta) {
		this.anoLaudoHasta = anoLaudoHasta;
	}

	public String getNumLaudoHasta() {
		return numLaudoHasta;
	}

	public void setNumLaudoHasta(String numLaudoHasta) {
		this.numLaudoHasta = numLaudoHasta;
	}
	
	public String getVoz() {
		return voz;
	}

	public void setVoz(String voz) {
		this.voz = voz;
	}

	public String getTerritactadesde() {
		return territactadesde;
	}

	public void setTerritactadesde(String territactadesde) {
		this.territactadesde = territactadesde;
	}

	public String getTerritactahasta() {
		return territactahasta;
	}

	public void setTerritactahasta(String territactahasta) {
		this.territactahasta = territactahasta;
	}

	public String getDescfirmante() {
		return descfirmante;
	}

	public void setDescfirmante(String descfirmante) {
		this.descfirmante = descfirmante;
	}

	public String getDescfirmanteeu() {
		return descfirmanteeu;
	}

	public void setDescfirmanteeu(String descfirmanteeu) {
		this.descfirmanteeu = descfirmanteeu;
	}

	public String getEscomunicacion() {
		return escomunicacion;
	}

	public void setEscomunicacion(String escomunicacion) {
		this.escomunicacion = escomunicacion;
	}

	public String getNumsalida() {
		return numsalida;
	}

	public void setNumsalida(String numsalida) {
		this.numsalida = numsalida;
	}

	public String getFechaaregistro() {
		return fechaaregistro;
	}

	public void setFechaaregistro(String fechaaregistro) {
		this.fechaaregistro = fechaaregistro;
	}

	public String getNpre() {
		return npre;
	}

	public void setNpre(String npre) {
		this.npre = npre;
	}

	public String getNimpug() {
		return nimpug;
	}

	public void setNimpug(String nimpug) {
		this.nimpug = nimpug;
	}

	public List getImpugn() {
		return impugn;
	}

	public void setImpugn(List impugn) {
		this.impugn = impugn;
	}

	public HashMap getSind() {
		return sind;
	}

	public void setSind(HashMap sind) {
		this.sind = sind;
	}

	public String getAnoimpug() {
		return anoimpug;
	}

	public void setAnoimpug(String anoimpug) {
		this.anoimpug = anoimpug;
	}

	public String getNlaudo() {
		return nlaudo;
	}

	public void setNlaudo(String nlaudo) {
		this.nlaudo = nlaudo;
	}

	public String getAnolaudo() {
		return anolaudo;
	}

	public void setAnolaudo(String anolaudo) {
		this.anolaudo = anolaudo;
	}

	public String getFlaudo() {
		return flaudo;
	}

	public void setFlaudo(String flaudo) {
		this.flaudo = flaudo;
	}

	public String getArbitro() {
		return arbitro;
	}

	public void setArbitro(String arbitro) {
		this.arbitro = arbitro;
	}

	public String getVoces() {
		return voces;
	}

	public void setVoces(String voces) {
		this.voces = voces;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getSinovoces() {
		return sinovoces;
	}

	public void setSinovoces(String sinovoces) {
		this.sinovoces = sinovoces;
	}

	public String getSindicatos() {
		return sindicatos;
	}

	public void setSindicatos(String sindicatos) {
		this.sindicatos = sindicatos;
	}
	
	

	public String getCentroSel() {
		return centroSel;
	}

	public void setCentroSel(String centroSel) {
		this.centroSel = centroSel;
	}

	public String getRazonorig() {
		return razonorig;
	}

	public void setRazonorig(String razonorig) {
		this.razonorig = razonorig;
	}

	public String getDirorig() {
		return dirorig;
	}

	public void setDirorig(String dirorig) {
		this.dirorig = dirorig;
	}

	public String getCporig() {
		return cporig;
	}

	public void setCporig(String cporig) {
		this.cporig = cporig;
	}

	public String getMunorig() {
		return munorig;
	}

	public void setMunorig(String munorig) {
		this.munorig = munorig;
	}

	public String getProvorig() {
		return provorig;
	}

	public void setProvorig(String provorig) {
		this.provorig = provorig;
	}
	
	public W83bCentroTrabajoBean getCentroTrabajo() {
		return centroTrabajo;
	}

	public void setCentroTrabajo(W83bCentroTrabajoBean centroTrabajo) {
		this.centroTrabajo = centroTrabajo;
	}

	public String getNumincidencia() {
		return numincidencia;
	}

	public void setNumincidencia(String numincidencia) {
		this.numincidencia = numincidencia;
	}

	public String getAnoincidencia() {
		return anoincidencia;
	}

	public void setAnoincidencia(String anoincidencia) {
		this.anoincidencia = anoincidencia;
	}

	public String getFechavalidaciondesde() {
		return fechavalidaciondesde;
	}

	public void setFechavalidaciondesde(String fechavalidaciondesde) {
		this.fechavalidaciondesde = fechavalidaciondesde;
	}

	public String getFechavalidacionhasta() {
		return fechavalidacionhasta;
	}

	public void setFechavalidacionhasta(String fechavalidacionhasta) {
		this.fechavalidacionhasta = fechavalidacionhasta;
	}

	
	
	public String getDestinatarioComunicLaudo() {
		return destinatarioComunicLaudo;
	}

	public void setDestinatarioComunicLaudo(String destinatarioComunicLaudo) {
		this.destinatarioComunicLaudo = destinatarioComunicLaudo;
	}

	/* (non-Javadoc)
	 * @see w83b.w83bBeans.W83bBaseBeanBD#rowToBean(java.lang.Object, java.lang.Object)
	 */
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD

		this.idioma = String.valueOf(otrosValores);
		this.numpreaviso = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.numpreaviso);
		this.razon = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.razon);
		this.domicilio = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.domicilio);
		this.codigopostal = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.codigopostal);
		this.municipio = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.municipio);
		this.provincia = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.provincia);
		this.fechaentrada = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.fechaentrada);
		this.nombrefirmante = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.nombrefirmante);
		this.fechacomunicacion = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.fechacomunicacion);
		this.nacta = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.nacta);
		this.anoacta = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.anoacta);
		this.territ = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.territ);
		this.descmunicipio = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.descmunicipio);
		this.descprovincia = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.descprovincia);
		this.numactaint = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.numactaint);
		this.orderby = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.orderby);
		this.codsindicato = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.codsindicato);
		this.descsindicato = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.descsindicato);
		this.desesindicato = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.desesindicato);
		this.npre = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.npre);
		this.anopreaviso = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.anopreaviso);
		this.nimpug = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.nimpug);
		this.anoimpug = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.anoimpug);
		this.nlaudo = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.nlaudo);
		this.anolaudo = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.anolaudo);
		this.flaudo = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.flaudo);
		this.arbitro = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.arbitro);
		this.sindicatos = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.sindicatos);
		this.voces = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.voces);
		this.cif = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.cif);
		this.razonorig = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.razonorig);
		this.dirorig = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.dirorig);
		this.cporig = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.cporig);
		this.munorig = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.munorig);
		this.provorig = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.provorig);
		this.numincidencia = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.numincidencia);
		this.anoincidencia = W83bDataBase.getStringFromRS(rs, W83bComunicacionesBD.anoincidencia);
		return this;
	}
	
    public Object clone() {
        try {
            return (W83bComunicacionesBean) super.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
            throw new RuntimeException();
        }
    }

}
